@media print {    
    .p27_no_print, .p27_no_print * {
        display: none !important;
    }
}

/* general ------------------------------------------------------------------ */
.ui.segment {
    margin: 0;
}

.ui p {
    margin: 0;
}

.p27_click {
    cursor: pointer;
}

.p27_center {
    text-align: center !important;
}
.p27_left {
    text-align: left !important;
}
.p27_right {
    text-align: right !important;
}
.p27_bold {
    font-weight: bold !important;
}
.p27_normal {
    font-weight: normal !important;
}
.p27_error {
    color: #9F3A38;
}
.p27_margin_1 {
    margin-top: 0.6em;
}
.p27_country {
    max-width: 300px;
}
.ui.form select.p27_select_compact {
    padding: 0.38em 1em;
}
.ui.form input.p27_input_compact, .ui.input input.p27_input_compact {
    padding: 0.38em 1em;
}
/* general ------------------------------------------------------------------ */


/* table - general ---------------------------------------------------------- */
.ui.table.p27_table .p27_input {
    padding: 0.1em 0.1em;
}
.ui.table.p27_table thead th {
    padding: 0.5em 0.7em;
}
.ui.table.p27_table tbody td {
    padding: 0.4em 0.6em;
}
.ui.table.p27_table .p27_td_title {
    background-color: #F9FAFB;
    font-weight: normal;
}
/* table - general ---------------------------------------------------------- */


/* table - calendar prices - object ----------------------------------------- */
.p27_price_cal_tab_month {
    background-color: #F9FAFB;
    border: 1px solid #e0e1e1;
}
table.p27_price_cal_tab_month .p27_td_with_input input[type="text"] {
    padding: 0.2em 0.2em;
}
table.p27_price_cal_tab_month td {
    text-align: center;
}
/* table - calendar prices - object ----------------------------------------- */


/* icons -------------------------------------------------------------------- */
.p27_ico_top {
    margin: 0;
    padding: 0;
    /*width: 2rem;*/ /* ok. 28px */
    height: 2rem; /* ok. 28px */
}
.p27_ico_basic20 { /* 20px */
    margin: 0;
    padding: 0;
    width: 1.435406rem;
    height: 1.435406rem;
}
/* icons -------------------------------------------------------------------- */


/* top menu ----------------------------------------------------------------- */
.ui.menu.p27_top_menu {
    /*padding-top: 1rem;*/
    /*min-height: 2em;*/ /* 2.85714286em */
}
.ui.menu .item.p27_top_menu_item {
    /*padding: 0.4em 0.6em;*/
}
.ui.menu .item.p27_top_menu_item_home {
    padding: 0em 1em;
}
/* top menu ----------------------------------------------------------------- */


/* form --------------------------------------------------------------------- */
.p27_clear_select_rate_plan {
    /*padding: .4em .6em;*/
}
.p27_input_price {
    width: 100px !important;
}
/* form --------------------------------------------------------------------- */


/* reservations list -------------------------------------------------------- */
.ui.table.p27_res_list .p27_res_stat, 
.ui.table.p27_res_list .p27_res_stat_0,
.ui.table.p27_res_list .p27_res_stat_1,
.ui.table.p27_res_list .p27_res_stat_2,
.ui.table.p27_res_list .p27_res_stat_3, 
.ui.table.p27_res_list .p27_res_stat_4
{
    width: 10px;
    padding: 0;
}
.ui.table.p27_res_list .p27_res_stat_1 {
    background-color: #ffd500;
}
.ui.table.p27_res_list .p27_res_stat_2 {
    background-color: #ffa500;
}
.ui.table.p27_res_list .p27_res_stat_3 {
    background-color: #ff0000; /* #008000 */
}
.ui.table.p27_res_list .p27_res_stat_4 {
    background-color: #dbb0ef; /* 800080 */
}
/* reservations list -------------------------------------------------------- */


/* calendar - basic --------------------------------------------------------- */
.p27_cal_day {
    width: 32px;
    height: 32px;
    background-color: #f2f2f2;
    text-align: center !important;
    padding: 0.4em !important;
}
.p27_cal_day_name {
    text-align: center !important;
    padding: 0.4em !important;
}
.p27_cal_stat_pn {
    /*background-color: #c4efb0;*/
    background-image: url('../images/icons/cal_stat_pn.png');
    background-repeat: no-repeat;
    background-size: 100% 100%;
}
.p27_cal_stat_1 {
    /*background-color: #ffff00;*/
    background-image: url('../images/icons/cal_stat_1.png');
    background-repeat: no-repeat;
    background-size: 100% 100%;
}
.p27_cal_stat_2 {
    /*background-color: #ffa500;*/
    background-image: url('../images/icons/cal_stat_2.png');
    background-repeat: no-repeat;
    background-size: 100% 100%;
}
.p27_cal_stat_3 {
    /*background-color: #ff0000;*/
    background-image: url('../images/icons/cal_stat_3.png');
    background-repeat: no-repeat;
    background-size: 100% 100%;
}
.p27_cal_stat_4 {
    /*background-color: #DBB0EF;*/ /* 800080 */
    background-image: url('../images/icons/cal_stat_4.png');
    background-repeat: no-repeat;
    background-size: 100% 100%;
}
/* table */
.p27_cal_teal_button {
    background-color: #00B5AD;
    color: #FFFFFF;
    padding: 0.25em 0.5em;
}
.p27_cal_teal_button:hover {
    background-color: #009c95;
    color: #FFFFFF;
    text-shadow: none;
}
/* calendar - basic --------------------------------------------------------- */


/* calendar - 12 months ----------------------------------------------------- */
.ui.table.p27_cal_tab_month td {
    text-align: center;
}
.ui.table.p27_cal_tab_month td.p27_cal_month_name {
    font-weight: bold;
}
.ui.table.p27_cal_tab_month td.p27_cal_day_passed {
    background-color: #d9d9d9;
    color: #a9a9a9;
}
.ui.table.p27_cal_tab_month td.p27_cal_day_actually {
    text-decoration: underline;
}
.ui.table.p27_cal_tab_month td.p27_cal_day_next {
    
}
.p27_cal_divs {
    overflow: auto; /* clearfix */
    max-width: 1520px;
}
.p27_cal_div {
    float: left;
    margin-right: 1em;
    height: 258px;
}
.p27_cal_divs_first .p27_cal_div {
    margin-bottom: 1em;
}
.ui.table.p27_cal_tab_month td.p27_cal_day {
    border: 1px solid rgba(34, 36, 38, 0.1);
}
/* calendar - 12 months ----------------------------------------------------- */


/* reports ------------------------------------------------------------------ */
.p27_rep_teal_button {
    background-color: #00B5AD;
    color: #FFFFFF;
    padding: 0.2em 0.4em;
}
.p27_rep_teal_button:hover {
    background-color: #009c95;
    color: #FFFFFF;
    text-shadow: none;
}
.p27_rep_orange_button {
    background-color: #f2711c;
    color: #FFFFFF;
    padding: 0.2em 0.4em;
}
.p27_rep_orange_button:hover {
    background-color: #f26202;
    color: #FFFFFF;
    text-shadow: none;
}
tr.p27_rep_border_bottom td {
    border-bottom: 2px solid #000;
    /*border-bottom: 2px solid #000 !important;
    border-top: 2px solid #000 !important;*/
}
tr.p27_rep_border_bottom td:first-child {
    /*border-left: 2px solid #000 !important;*/
}
tr.p27_rep_border_bottom td:last-child {
    /*border-right: 2px solid #000 !important;*/
}
/* reports ------------------------------------------------------------------ */


/* emails ------------------------------------------------------------------- */
.p27_show_email_content {
    /*border: 1px solid rgba(34, 36, 38, 0.15);*/
    /*padding: 0.4em 0.6em;*/
}
.p27_message_left {
    display: inline-block;
    /*max-width: 90%;*/
    margin-bottom: 1em;
    border: 3px solid #f2c037; /* #f2c037, #eb4e84 */
}

.p27_message_left_top {
    background-color: #f2c037;
    color: #fff;
    padding: 0.1em 0.3em;
    font-size: 0.85em;
}

.p27_message_left_content {
    padding: 0.5em;
}

.p27_message_right {
    /*margin-left: 10%;*/
    display: inline-block;
    margin-bottom: 1em;
    /*max-width: 90%;*/
    text-align: left;
    border: 3px solid #2ba008; /* #2ba008 */
}

.p27_message_right_top {
    background-color: #2ba008;
    color: #fff;
    padding: 0.1em 0.3em;
    font-size: 0.85em;
}

.p27_message_right_content {
    padding: 0.3em;
}
/* emails ------------------------------------------------------------------- */

/* account ------------------------------------------------------------------ */

/* account ------------------------------------------------------------------ */

/* info icon and popup ------------------------------------------------------ */
.p27_tooltip {
    max-width: 450px !important;
    /*margin-left: -10px !important;*/
}
.p27_info_button {
    margin-left: 3px !important;
}
.p27_info_button img {
    width: 14px;
    height: 14px;
}
/* info icon and popup ------------------------------------------------------ */

/* start -------------------------------------------------------------------- */
.ui.grid.p27_start_box {
    margin: auto;
    margin-top: 1em;
    width: 100%;
    max-width: 40em !important;
}
.p27_start_login_form {
    margin: 0 auto;
    max-width: 20em !important;
}
.ui.middle.aligned.image.p27_logo_img.p27_logo_img {
    height: 40px;
}
/* start -------------------------------------------------------------------- */